Subject: Re: [PATCH 3/3] zImage: Cleanup and improve zImage entry point

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 20 Feb 2007 06:59:40 +1100

> I think the better idea is to make the generic bootwrapper code support
> SMP.  I don't see any fundamental reason why it can't.  The trouble here
> is that your BSS stack is really not a proper way, that's why it doesn't
> work.
> 
> I'll put something together that provides generic (SMP) stack support
> for the bootwrapper.  I'll  be away the end of this week and next week,
> so I don't know when I'll be able to post it.

As I said earlier, I see no reason why the wrapper needs to provide a
stack for non-primary CPUs.

Ben.